Get Customer KYC Documents
GET /obp/v7.0.0/customers/CUSTOMER_ID/kyc_documents
OBPv2.0.0-getKycDocuments Roles: CanGetAnyKycDocuments KYCCustomer
Get KYC (know your customer) documents for a customer specified by CUSTOMER_ID Get a list of documents that affirm the identity of the customer Passport, driving licence etc. User Authentication is Optional. The User need not be logged in.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (10)
- bank_id
- gh.29.uk
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_number
- 5987953
- documents
- expiry_date
- 2021-01-27
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- issue_date
- 2020-01-27
- issue_place
- number
- type
Example success response
{
"documents": [
{
"bank_id": "gh.29.uk",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"id": "PlaceholderString",
"customer_number": "5987953",
"type": "PlaceholderString",
"number": "PlaceholderString",
"issue_date": "1100-01-01T00:00:00Z",
"issue_place": "PlaceholderString",
"expiry_date": "1100-01-01T00:00:00Z"
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: